Subject: SMTP Mail From: in pine

From: Chuck Foster <[email-masked]>
Date: Fri, 26 Jul 1996 20:20:40 +0000

Hi,

I use an SMTP server option on our system.
When sending a message under a different address to my usual one (Pine
is compiled with the ALLOW_CHANGING_FROM option), I have recently found
that an associate seemed to be replying to the wrong address.

I investigated this and found that the Return-Path for the delivered
message had the original "From:" line in and not the new address, which
meant the reply went to whatever the From: line was as I entered the
Compose window.

Some mail systems are broken (like MSMail) and reply to the Return-Path
rather than the Reply-To/From/Sender lines, which means that it ends up
in the wromg mailbox. I, for example, default it to "postmaster" but
often change this to "x400-support" depending on the support mail I am
replying to.

Should this be considered a bug?